Summary: The Mutt Mail User Agent
Name: mutt
Version: 0.95.6i
%define srcver 0.95.6
Release: 1
Group: Applications/Mail
Copyright: GPL
Url: http://www.mutt.org
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.guug.de/pub/mutt/%{name}-%{version}.tar.gz
Requires: mailcap, slang >= 1.3.6
BuildRoot: /var/tmp/%{name}-root

%description
Mutt is a small but very poweful full-screen Unix mail client. Features
include MIME, POP3, multiple mailbox formats, color, message threading,
scoring, and bindable keys.

This package is the international version with PGP support.


%prep
%setup -q -n mutt-%{srcver}


%build
# This is to override what's wrongly detected by the buggy configure script.
# PGP2 is also wrongly detected but can't be easily fixed.
export SENDMAIL=/usr/sbin/sendmail

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc \
	--with-slang --disable-nls
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/doc/mutt rpm_doc
rm -f contrib/{Makefile*,patch.slang-1.2.2.keypad.1}


%files
%defattr(-,root,root)
%config /etc/Muttrc
%doc rpm_doc/* contrib
/usr/bin/*
/usr/man/man*/*
#/usr/share/mutt


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Apr 27 1999 Hao Li <hli@wag.caltech.edu>
- Mutt also provides /etc/mime.types but I choose to use the one provided by
  mailcap so mailcap is required. However the /etc/mime.types provided by
  mutt is clearly cleaner and more complete.
- Since NLS is disabled I don't think/usr/share/mutt is needed. So although 
  "make install" still installs it I comment it out from %files list.
- If mail spool directory (/var/spool/mail by default) is not world writable
  (2775,root,mail for example) /usr/bin/mutt needs to be preceeded by 
  %attr(2755,root,mail) in %file section.
- PGP should be installed at compile time if you want PGP support in mutt.
